Subject: bug#5027: Funny keyboard bahaviour, maybe grab?

From: Jan Djärv <[email-masked]>
Date: Tue, 24 Nov 2009 15:56:17 +0100

Daniel Pfeiffer skrev 2009-11-23 23.32:
> Hi,
>
> I recently installed Ubuntu Karmic Koala from scratch, putting in a
> recent snapshot of both Emacs and Sawfish.
> Since then, whichever I type, Emacs complains that this Sawfish
> window-manager keybinding is undefined.

What keybinding exactly is "this"?

>
> The key bindings work when any other application is focused, so I
> suspect this is an Emacs problem.  What I don't understand, is that IMHO
> the window manager should take these key events and an application like
> Emacs should never even notice them?  AFAIK, the only exception to this
> rule is if Emacs grabs the keyboard, as it should while prompting for a
> password.
>
> The only way out, seems not to fully maximize emacs, so a thin strip of
> the pager remains, such that I can mouse-click focus away from Emacs,
> before typing my key-combo.  I have a very keyboard-centric setup, and I
> spend more than half of my time in Emacs, so this is a major hassle!

Do you have click-to-focus or focus-follows-mouse?
What version of sawfish?

	Jan D.